Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 196110 - IDE hangs while running a program on remote host using Java 7
IDE hangs while running a program on remote host using Java 7
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Profile
7.0
PC All
: P2 (vote)
: TBD
Assigned To: issues@cnd
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 16:04 UTC by Alexander Pepin
Modified: 2011-03-02 07:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stack dump (36.30 KB, text/plain)
2011-02-28 17:09 UTC, Alexander Pepin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-02-28 16:04:21 UTC
This bug was found while sanity testing od IDE with java 7 dev (build 130).
Steps to reproduce:
- create Fractal sample
- add a remote host (sparc) and set it for the project 
- choose OSS tool collection
- run the project
Result: The project runs profiler starts showing graphics then IDE hangs.
Comment 1 Alexander Pepin 2011-02-28 16:59:15 UTC
Correction: IDE hangs when I try to scroll "Monitors" window while running.
Comment 2 Alexander Pepin 2011-02-28 17:01:33 UTC
It's reproducible on Linux x86 as well.
Comment 3 Alexander Pepin 2011-02-28 17:09:01 UTC
Created attachment 106563 [details]
stack dump
Comment 4 Andrew Krasny 2011-03-01 13:53:50 UTC
http://hg.netbeans.org/cnd-main/rev/11d360ae91d3
Comment 5 Quality Engineering 2011-03-02 07:04:43 UTC
Integrated into 'main-golden', will be available in build *201103020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/11d360ae91d3
User: Andrew Krasny <akrasny@netbeans.org>
Log: Fixed #196110 - IDE hangs while running a program on remote host using Java 7 - call refresh in EDT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo